#! /bin/sh

#unzip the gz file (your browser may have already done this)
gunzip kaffe-1.0.6.tar.gz 2>/dev/null

#extract the tar files
tar -xvf kaffe-1.0.6.tar && tar -xvf bdbj-1.2.tar
if [ $? != 0 ]; then 
  echo Failed to extract tar files
  exit 1
fi

#find directory
KAFFEDIR=`pwd` && cd kaffe-1.0.6
if [ $? != 0 ]; then
  echo Failed: pwd or cd
  exit 2
fi

#configure, make and install modified Kaffe
./configure --prefix=$KAFFEDIR/kaffe --with-engine=intrp && make && make install
if [ $? != 0 ]; then
  echo Failed to compile and install modified Kaffe
  exit 3
fi

#copy files from kaffe-1.0.6 to kaffe
mkdir $KAFFEDIR/kaffe/bdbj
cp bdbj/* $KAFFEDIR/kaffe/bdbj

#construct the scripts for running the debugger
# bdbj[tty] are normal, 
# bdbjk[tty] are used when you wish to run the user interfaces with kaffe
#   (to run the GUI with kaffe (bdbjk) you need to install Swing and add it to CLASSPATH, and possily increase the stack sizes). 
cd ..

echo "#! /bin/sh" > bdbj
echo java -classpath $KAFFEDIR/kaffe/bdbj/Bdbj.jar:$CLASSPATH -Dbdbj.classpath=\$BDBJCLASSPATH -Dbdbj.options=\"\$BDBJOPTIONS\" -Dbdbj.compile=\"\$BDBJCOMPILE\" -Dbdbj.kaffedir=$KAFFEDIR/kaffe jjc.bdbj.interfaces.gui.Gui \$* >> bdbj
chmod 744 bdbj

echo "#! /bin/sh" > bdbjtty
echo java -classpath $KAFFEDIR/kaffe/bdbj/Bdbj.jar:$CLASSPATH -Dbdbj.classpath=\$BDBJCLASSPATH -Dbdbj.options=\"\$BDBJOPTIONS\" -Dbdbj.compile=\"\$BDBJCOMPILE\" -Dbdbj.kaffedir=$KAFFEDIR/kaffe jjc.bdbj.interfaces.tty.TTY \$* >> bdbjtty
chmod 744 bdbjtty

echo "#! /bin/sh" > bdbjk
echo $KAFFEDIR/kaffe/bin/kaffe -classpath $KAFFEDIR/kaffe/bdbj/Bdbj.jar:$CLASSPATH -Dbdbj.classpath=\$BDBJCLASSPATH -Dbdbj.options=\"\$BDBJOPTIONS\" -Dbdbj.compile=\"\$BDBJCOMPILE\" -Dbdbj.kaffedir=$KAFFEDIR/kaffe jjc.bdbj.interfaces.gui.Gui \$* >> bdbjk
chmod 744 bdbjk

echo "#! /bin/sh" > bdbjktty
echo $KAFFEDIR/kaffe/bin/kaffe -classpath $KAFFEDIR/kaffe/bdbj/Bdbj.jar:$CLASSPATH -Dbdbj.classpath=\$BDBJCLASSPATH -Dbdbj.options=\"\$BDBJOPTIONS\" -Dbdbj.compile=\"\$BDBJCOMPILE\" -Dbdbj.kaffedir=$KAFFEDIR/kaffe jjc.bdbj.interfaces.tty.TTY \$* >> bdbjktty  
chmod 744 bdbjktty
